Bug 195272 - Need 1920x1080 resolution setting
Need 1920x1080 resolution setting
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks: FC6Target
  Show dependency treegraph
 
Reported: 2006-06-14 13:15 EDT by Tom Horsley
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-26 07:15:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2006-06-14 13:15:17 EDT
This is similar to bug 176740, but another resolution:

The 1080p HD monitors are starting to arrive. It would sure be handy if
the display configuration tools provided 1920x1080 as one of the
available resolutions so we don't all have to descend into X.org
config hell to try and get it to use that as a display mode.

Specifically I've got a Westinghouse LVM-42w2 arriving real soon
now I'd like to hook up at full resolution with my PCIE ATI-X700
card.

Since I'm resubmitting this following the bugzilla crash, I might
as well add some additional info:

I got the ModeLine I needed and the setting seems to work, but I found
(by following around the x.org wiki for a while) that the information
I needed for the ModeLine was already in the /var/log/Xorg.0.log file,
having been obtained by the driver from the monitor itself. All that
was required was cutting and pasting numbers from the log into a
new ModeLine.

Just as an editorial comment, I find it insanely stoopid that the X driver
doesn't use the information it obviously knows to implicitly provide
a new ModeLine for the monitor's own desired native resolution.

It's programs like this what cause unrest :-).
Comment 1 Mike A. Harris 2006-06-14 13:27:23 EDT
Thanks for resubmitting the bug that got lost Tom.  Here's the second
comment from that bug, pulled from email...



------- Additional Comments From Tom.Horsley@att.net  2006-06-12 17:14 EST -------
I got this setup by adding the ModeLine:

ModeLine "1920x1080" 138.5 1920 1968 2000 2080 1080 1082 1087 1111

But I was totally bumfuzzled by the fact that I got all the parameters
from information the driver prints in the Xorg.0.log file which it obtains
from the monitor. If it gets everything it needs from the monitor, why
doesn't it take the microscopic additional step of just automagically
inculding that default native mode as an additional built-in
ModeLine to go with all the VESA ones it already has?

It's programs like this what cause unrest  :-) .


Comment 2 Matthias Clasen 2006-07-06 18:02:30 EDT
Add to FC6Destop tracker
Comment 3 Mike A. Harris 2006-07-26 07:15:46 EDT
Just added the following 1920x1080 CVT modes to the X server in the
1.1.1-12.fc6 build:

+# 1920x1080 59.96 Hz (CVT 2.07M9) hsync: 67.16 kHz; pclk: 173.00 MHz
+Modeline "1920x1080"  173.00  1920 2048 2248 2576  1080 1083 1088 1120 -hsync
+vsync
+
+# 1920x1080 69.92 Hz (CVT) hsync: 78.80 kHz; pclk: 204.25 MHz
+Modeline "1920x1080"  204.25  1920 2056 2256 2592  1080 1083 1088 1127 -hsync
+vsync
+
+# 1920x1080 74.91 Hz (CVT 2.07M9) hsync: 84.64 kHz; pclk: 220.75 MHz
+Modeline "1920x1080"  220.75  1920 2064 2264 2608  1080 1083 1088 1130 -hsync
+vsync
+
+# 1920x1080 84.88 Hz (CVT 2.07M9) hsync: 96.51 kHz; pclk: 253.25 MHz
+Modeline "1920x1080_85.00"  253.25  1920 2064 2272 2624  1080 1083 1088 1137
-hsync +vsync

Comment 4 Mike A. Harris 2006-07-26 07:52:09 EDT
One more thing, just FYI:

(In reply to comment #1)
> But I was totally bumfuzzled by the fact that I got all the parameters
> from information the driver prints in the Xorg.0.log file which it obtains
> from the monitor. If it gets everything it needs from the monitor, why
> doesn't it take the microscopic additional step of just automagically
> inculding that default native mode as an additional built-in
> ModeLine to go with all the VESA ones it already has?

There have been many people for years talking about improving the DDC
monitor detection, making the server internally generate VESA GTF
and/or CVT based modelines, and also having video modes provided via
EDID added to the mode pool.  You'd have to ask X.Org developers why
this is not yet being done in the X server, but their response will
probably be something akin to "nobody has written the code to make
it do that and submitted it as a patch to X.Org yet".

There have been some improvements made in 7.1 and since, but I don't
believe anyone has fully implemented dynamic CVT/GTF mode creation
yet.  The Red Hat rawhide X server does however contain EDID mode
injection, however I'm not sure how well tested it is.

Hope this helps shed some light...

Comment 5 Tom Horsley 2006-07-26 08:48:19 EDT
I did find that with the radeon driver, I could turn on a DDC
option and I no longer had to specify the ModeLine, but I
still needed to add "1920x1080" to the list of modes for the
screen.

Don't know if the fglrx driver has a similar option or not.
Comment 6 Mike A. Harris 2006-07-27 15:05:15 EDT
(In reply to comment #5)
> I did find that with the radeon driver, I could turn on a DDC
> option and I no longer had to specify the ModeLine,

With rawhide X, that's expected I beleive, as the edid-mode-injection
patch is in rawhide.

> but I
> still needed to add "1920x1080" to the list of modes for the
> screen.

No matter what hardware you use, you always have to specify the mode(s)
you want in the screen section of the config file.

The modelines themselves only tell the X server how to program the hardware
for a given video mode, should that mode be needed.  The "Modes" line in the
screen section informs the X server which video modes you actually want to
use.  The first mode listed, is the default mode the server will use at
startup.  Any other modes, are available with the CTRL-ALT-(+/-) hotkey.

Our configuration tools preload the Modes list in the config file with
a number of standard modes.  You should rerun the config tool as:

system-config-display --reconfig

That generates a new config from scratch.  If the native mode of your
display is not in the config file as the first mode listed, file a bug
report against pyxf86config or system-config-display.


> Don't know if the fglrx driver has a similar option or not.

DDC is supported on most hardware by most drivers. Some are limited due
to VBE, while others directly use i2c to provide DDC.  I have no direct
knowledge of what the fglrx driver supports, but I'd be surprised if it
did not support i2c based DDC probing.



Note You need to log in before you can comment on or make changes to this bug.